%global rbname opengl

Summary: The OpenGL extension library for Ruby
Name: ruby-%{rbname}

%global momorel 3
%global ruby_gnome2_version 0.12.0

Version: 0.32f
Release: %{momorel}m
Group: Development/Libraries
License: Ruby
URL: http://www2.giganet.net/~yoshi/

%NoSource 0 http://www2.giganet.net/~yoshi/rbogl-%{version}.tar.gz 4eff2e4910361f8110a25da2164242ff
%NoSource 1 http://jaist.dl.sourceforge.net/sourceforge/ruby-gnome2/ruby-gnome2-all-%{ruby_gnome2_version}.tar.gz 3aa40a574f0365361745d852494240a3

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.2
BuildRequires: XFree86-devel
BuildRequires: glut-devel

%description
This package contains extension library to use OpenGL in Ruby script.

%package -n ruby-glut
Summary: The glut extension library for Ruby
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n ruby-glut
This package contains extension library to use glut in Ruby script.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -c -a 1

%build
(
  cd opengl-%{version}
  find sample -type f -exec ruby -p -i -e '$_.sub!( %r|/usr/local/bin/ruby|, "/usr/bin/ruby" )' {} \;
  ruby extconf.rb
  make -f Makefile.ogl \
    sitelibdir=%{ruby_libdir} \
    sitearchdir=%{ruby_archdir}
  make -f Makefile.glut \
    sitelibdir=%{ruby_libdir} \
    sitearchdir=%{ruby_archdir}
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

(
  cd opengl-%{version}
  make -f Makefile.ogl install \
    sitelibdir=%{buildroot}%{ruby_libdir} \
    sitearchdir=%{buildroot}%{ruby_archdir}
  make -f Makefile.glut install \
    sitelibdir=%{buildroot}%{ruby_libdir} \
    sitearchdir=%{buildroot}%{ruby_archdir}
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc opengl-%{version}/ChangeLog* opengl-%{version}/README*
%doc opengl-%{version}/sample
%{ruby_archdir}/glut.so
%{ruby_archdir}/opengl.so

%changelog
* Tue Mar  8 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.32f-3m)
- build against ruby-gnome2-0.12.0

* Thu Nov 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.32f-2m)
- build against ruby-gnome2-0.11.0

* Thu Oct 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.32f-1m)
- build against ruby-gnome2-0.10.1

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.32c-3m)
- rebuild against ruby-1.8.2
- rebuild against ruby-gnome2-0.9.1

* Fri Apr  9 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.32c-2m)
- forget about /usr/local/bin/ruby 

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.32c-1m)
- version 0.32c.

* Mon Sep 08 2003 Kenta MURATA <muraken2@nifty.com>
- (0.32b-2m)
- glut enabled.

* Sun Sep 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.32b-1m)
- first specfile.
